#ifndef _GAME_HPP_
#define _GAME_HPP_

#include "Player.hpp"
#include "Asteroid.hpp"

class CGame
{
public:
	CGame();

	void Init();
	void Run();
	void Quit();

private:
	void ProcessEvents();
	void SpawnAsteroids();
	void RenderAsteroids();
	void CheckCollisions();

	CPlayer *m_pPlayer;
	CSprite *m_pSpriteBackground;
	CSprite *m_pSpriteAsteroid;
	float m_fAsteroidTimer;
	bool m_bGameRun;
	list<CAsteroid> m_AsteroidList;
};

#endif